# sfepy.discrete.structural.fields module

Fields corresponding to structural elements.

class sfepy.discrete.structural.fields.Shell10XField(name, dtype, shape, region, approx_order=1)

  The approximation for the shell10x element.

  create_mapping(region, integral, integration, return_mapping=True)

    Create a new reference mapping.

  create_output(dofs, var_name, dof_names=None, key=None, thickness=None, **kwargs)

    Convert the DOFs corresponding to the field to a dictionary of output data usable by Mesh.write().

    Parameters:
      dofs array, shape (n_nod, n_component)

        The array of DOFs reshaped so that each column corresponds to one component.

      var_name str

        The variable name corresponding to dofs.

      dof_names tuple of str

        The names of DOF components.

      key str, optional

        The key to be used in the output dictionary instead of the variable name.

    Returns:
      out dict

        The output dictionary.

  family_name = 'volume_H1_shell10x'